<%@ page contentType="application/vnd.ms-excel;charset=utf-8"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<%@ page import="java.util.ArrayList" %>
<%@ page import="com.soapknox.paypal.webapp.transactions.TransactionHistoryForm" %>

<%@ page import="eBLBaseComponents.apis.ebay.AbstractResponseType" %>
<%@ page import="eBLBaseComponents.apis.ebay.ErrorType" %>
<%@ page import="PayPalAPI.api.ebay.*" %>
<%@ page import="eBLBaseComponents.apis.ebay.*" %>

<html>
<body>
<%  
    ArrayList list = null;
    TransactionHistoryForm transactionHistoryForm = (TransactionHistoryForm) session.getAttribute("transactionHistoryForm");
    if(transactionHistoryForm != null) {
    	list = transactionHistoryForm.getDetailsList();
    }
%>

<table border="1" cellpadding="0" cellspacing="0">
  <tr>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Transaction ID</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Transaction Date</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Transaction Type</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Payment Type</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Parent Transaction ID</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Receipt ID</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Gross Amount</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Fee Amount</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Settle Amount</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Exchange Rate</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Pending Status</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Pending Reason</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Reason Code</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Payer</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Payer ID</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Payer Status</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">First Name</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Middle Name</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Last Name</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Address Status</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Name</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Street1</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Street2</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">City</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">State</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Country</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Country Name</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Postal Code</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Phone</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Buyer ID</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Closing Date</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Multi Item</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Invoice ID</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Custom</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Memo</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Sales Tax</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Items Name</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Items Number</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Quantity</font></b></td>
    <td nowrap bgcolor="#FFFF00"><b><font color="#0000FF">Sales Tax</font></b></td>
  </tr>

<%
    if(list != null && list.size() > 0) {
    	
    	for(int i = 0; i < list.size(); ++i) {
    	    GetTransactionDetailsResponseType resp = (GetTransactionDetailsResponseType) list.get(i);
    	    request.setAttribute("paypalResponse", resp);
%>
            <tr>
      	    <jsp:include page="/jsp/transactionHistoryFormat2/transactionHistoryPaymentInfo.jsp" flush="true"/>
      	    <jsp:include page="/jsp/transactionHistoryFormat2/transactionHistoryPayerInfo.jsp" flush="true"/>
      	    <jsp:include page="/jsp/transactionHistoryFormat2/transactionHistoryPayerName.jsp" flush="true"/>
      	    <jsp:include page="/jsp/transactionHistoryFormat2/transactionHistoryPayerAddress.jsp" flush="true"/>
      	    <jsp:include page="/jsp/transactionHistoryFormat2/transactionHistoryAuction.jsp" flush="true"/>
      	    <jsp:include page="/jsp/transactionHistoryFormat2/transactionHistoryPaymentItemInfo.jsp" flush="true"/>
      	    <jsp:include page="/jsp/transactionHistoryFormat2/transactionHistoryPaymentItems.jsp" flush="true"/>
      	    </tr>
<%
    	}
    }
%>

</table>
</body>
</html>

